Cyberduck Mountain Duck CLI

#8536 closed defect (fixed)

Moving files fails with failure to read attributes

Reported by: numericillustration Owned by: dkocher
Priority: normal Milestone: 4.6.5
Component: s3 Version: 4.6.4
Severity: normal Keywords:
Cc: Architecture:
Platform: Mac OS X 10.10

Description

When I try to move more than say 40 or so files at once from an s3 bucket to a sub bucket, CyberDuck kicks "Failure to read attributes of <some object in the bucket>" errors. Subsequent copies of files in bucket kick "Download <bucketname>. <objectname> failed. The specified key does not exist. Please contact your web hosting service provider for assistance." errors. After which CyberDuck with refresh the directory listing and not show objects that have already been moved.

I can however copy smaller sets of files without errors (usually) but its tedious moving several thousand files by lots of 20 or 30.

I experienced this error with 4.6. Updated to 4.7 16654 by allowing update to use Snapshot Builds and still see the issue.

Log entries in Console show some Java stack traces with exceptions and some other error level output (attached

Attachments (1)

cd_error.log (18.1 KB) - added by numericillustration on Feb 2, 2015 at 7:54:12 PM.
log of errors output during failures

Download all attachments as: .zip

Change History (5)

Changed on Feb 2, 2015 at 7:54:12 PM by numericillustration

log of errors output during failures

comment:1 Changed on Feb 3, 2015 at 3:59:32 PM by dkocher

  • Summary changed from moving lots of files from an s3 bucket to a sub bucket fails to Moving files fails with failure to read attributes

comment:2 Changed on Feb 3, 2015 at 7:52:27 PM by dkocher

Moving files in S3 is inefficient and error prone as it involves a copy operation followed by a delete.

comment:3 Changed on Feb 3, 2015 at 8:28:03 PM by dkocher

  • Resolution set to fixed
  • Status changed from new to closed

Fixed generic error in moving placeholders in r16699.

comment:4 Changed on Feb 10, 2015 at 1:10:28 PM by dkocher

  • Milestone changed from 4.7 to 4.6.5
Note: See TracTickets for help on using tickets.
swiss made software